module.exports = {
    root: true,
    parser: 'babel-eslint',
    parserOptions: {
        sourceType: 'module'
    },
    // https://github.com/feross/standard/blob/master/RULES.md#javascript-standard-style
    // extends: 'standard',
    // required to lint *.vue files
    plugins: ['html'],
    env: {
        "browser": true,
        "node": true
    },
    // add your custom rules here
    'rules': {
        // allow paren-less arrow functions
        'arrow-parens': 0,
        // allow async-await
        'generator-star-spacing': 0,

        // 1. 不要分号， 禁止多余的冒号
        'semi': 0,
        "no-extra-semi": 2,
        // 2. 变量命名用小驼峰`helloWorld`， 类用大驼峰`HelloWorld`
        "camelcase": 2, //强制驼峰法命名
        // 对象中的属性可以不用驼峰命名， 如： 有时候后端参数请求的命名方式不符合驼峰规则
        camelcase: ['error', { properties: 'never' }],

        // 3. 生产没 console debugger
        'no-debugger': process.env.NODE_ENV === 'production' ? 2 : 0,
        'no-console': process.env.NODE_ENV === 'production' ? 2 : 0,
        // 4. no-undef
        "no-undef": 2,
        // 5. 一个函数20行以内
        "max-statements": ["error", 20],
        // 6. 一行代码不超过80个字符
        "max-len": ["error", 140],
        // 7. 缩进两个空格
        "indent": 0
    }
}